# Uses of Class
com.logicaldoc.core.searchengine.IndexException

Packages that use IndexException
Package
Description
com.logicaldoc.core.searchengine
The core of the search engine.

## Uses of IndexException in com.logicaldoc.core.searchengine

Methods in com.logicaldoc.core.searchengine that throw IndexException
Modifier and Type
Method
Description
`void`
SearchEngine.`addHit(Document document, InputStream content)`
Adds a new hit to the index
`void`
SearchEngine.`addHit(Document document, String content)`
Adds a new Hit into the index
`void`
StandardSearchEngine.`addHit(Document document, InputStream content)`
`void`
StandardSearchEngine.`addHit(Document document, String content)`